FUNCTION::TOKENIZE(3stap)

NAME
function::tokenize - Return the next non-empty token in a string

SYNOPSIS

1) tokenize:string(delim:string)

2) tokenize:string(input:string,delim:string)

ARGUMENTS

delim
    set of characters that delimit the tokens

input
    string to tokenize. If empty, returns the next non-empty token in the string passed in the previous call to tokenize.

DESCRIPTION

1) This function returns the next token in the string passed in the previous call to tokenize. If no delimiter is found, the entire remaining input string is * returned. It returns empty when no more tokens are available.

2) This function returns the next non-empty token in the given input string, where the tokens are delimited by characters in the delim string. If the input string is non-empty, it returns the first token. If the input string is empty, it returns the next token in the string passed in the previous call to tokenize. If no delimiter is found, the entire remaining input string is returned. It returns empty when no more tokens are available.

SEE ALSO
tapset::tokenize(3stap)